---
dependency:
  name: galaxy
driver:
  name: vagrant
  provider:
    name: libvirt
lint: |
    set -e
    yamllint -c molecule/default/yaml-lint.yml .
    ansible-lint -c molecule/default/ansible-lint.yml tasks
platforms:
  # - name: el7
  #   box: generic/centos7
  #   memory: 1024
  #   cpus: 1
  #   instance_raw_config_args:
  #     - 'vagrant.plugins = ["vagrant-libvirt"]'
  #   config_options:
  #     ssh.keep_alive: true
  #     ssh.remote_user: "'vagrant'"
  - name: el8
    box: generic/centos8
    memory: 1024
    cpus: 1
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: true
      ssh.remote_user: "'vagrant'"
  - name: debian10
    box: generic/debian10
    memory: 1024
    cpus: 1
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: true
      ssh.remote_user: "'vagrant'"
  - name: ubuntu2004
    box: generic/ubuntu2004
    memory: 1024
    cpus: 1
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: true
      ssh.remote_user: "'vagrant'"
provisioner:
  name: ansible
verifier:
  name: ansible
